--[[
File: Interface.lua
Author: Zormus
--]]

setfenv(1, select(2, ...))
Interface = {}
Interface.__index = Interface

local metatable = {__index = function(object, key) return object._class[key] or object._base[key] end}

function Interface.Create(type, name, parent)
	local class
	if Utility.Type(type) ~= "string" then
		class = type
	end
	class = class or Interface[type] or Interface.Frame
	type = class.type or type
	local frame
	if (type) == "Context" then
		frame = UI.CreateContext(name)
		frame:SetAllPoints(UIParent)
	else
		frame = UI.CreateFrame(type, parent:GetName() .. "." .. name, parent)
	end
	frame._class = class
	frame._base = getmetatable(frame).__index
	setmetatable(frame, metatable)
	frame:Initialize()
	return frame
end
