--[[
File: Interface/RiftTextfield.lua
Author: Zormus
--]]

setfenv(1, select(2, ...))
Interface.RiftTextfield = setmetatable({}, Interface.Canvas)
local RiftTextfield = Interface.RiftTextfield
RiftTextfield.__index = RiftTextfield

function RiftTextfield:Initialize()
	Interface.Canvas.Initialize(self)
	self:SetMargins(12, 12, 12, 12)
	self:SetBackgroundImage("inner_black_subwin_04.png.dds")
	self.textfield = Interface.Create("Textfield", "Textfield", self)
	self.textfield:SetPoint("TOPLEFT", self, "TOPLEFT", 6, 4)
	self.textfield:SetPoint("BOTTOMRIGHT", self, "BOTTOMRIGHT", -6, -4)
	self.textfield.OnChange = function() if self.OnChange then self.OnChange() end end
end

function RiftTextfield:SetEnabled(enabled)
	if enabled then
		self:SetAlpha(1)
		self.textfield:SetVisible(true)
	else
		self:SetAlpha(0.5)
		self.textfield:SetKeyFocus(false)
		self.textfield:SetVisible(false)
	end
end

local functions =
{
	"GetCursor",
	"GetKeyFocus",
	"GetSelection",
	"GetSelectionText",
	"GetText",
	"SetCursor",
	"SetKeyFocus",
	"SetSelection",
	"SetText",
	"GetLines",
	"SetLines",
	"SetMaximumLines"
}

for _, func in ipairs(functions) do
	RiftTextfield[func] = function(self, ...)
		return self.textfield[func](self.textfield, ...)
	end
end
