--[[
File: Utility.lua
Author: Zormus
--]]

select(2, ...).Utility = setmetatable({}, {__index = Utility})
setfenv(1, select(2, ...))

function Utility.SetDefaultValues(object, default)
	for key, value in pairs(default) do
		if Utility.Type(value) == "table" then
			object[key] = object[key] or {}
			Utility.SetDefaultValues(object[key], value)
		else
			if object[key] == nil then
				object[key] = value
			end
		end
	end
end

function Utility.Print(type, ...)
	local list = Inspect.Console.List()
	if list then
		local consoles = Inspect.Console.Detail(list)
		for id, console in pairs(consoles) do
			if console[type] then
				Command.Console.Display(id, ...)
			end
		end
	end
end
