--[[
File: Localization.lua
Author: Zormus
--]]

setfenv(1, select(2, ...))

local language = Inspect.System.Language()
L = {}

if language == "French" then -- frFR
L.addon = {
	description = "Un moyen rapide via un menu à l'écran pour changer de rôles, d'équipement et de tenue.",
	instructions = "Taper %s pour ouvrir la fenêtre de configuration.",
	name = "Rôles",
	newerVersion = "Une nouvelle version de %s est disponible.",
	notification = "Changement rôle:",
	welcome = "%s %s chargé.",
}
L.command = {
	errorCombat = "Ne peut ouvrir menu en combat.",
	errorConfig = "Ne peut ouvrir menu pendant que la fenêtre de configuration est ouverte.",
	optionConfig = "ouvrir fenêtre configuration",
	optionLock = "bloquer/débloquer location menu",
	optionReset = "reset location menu au milieu",
	options = "Options commande:",
	optionToggle = "ouvrir/fermer menu",
	statusLocked = "Location menu a été bloqué.",
	statusReset = "Location menu a été reset au milieu.",
	statusUnlocked = "Location menu a été débloqué.",
}
L.config = {
	buttonClose = "FERMER",
	dialogTitle = "RÔLES",
	tabHelp = "AIDE",
	tabRoles = "RÔLES",
	tabSets = "ENSEMBLES",
	tabSettings = "PARAMÈTRES",
	help = {
		author = "Auteur: %s",
		helpEquipmentSets = "Pour conserver un set d'équipement, utiliser la commande \"/saveequip #\", où # est un chiffre entre 1 et 20. Ce set pourra être utilisé par l'addon. Les items de remplacement vous permettent de réutiliser un set existant avec des changements mineurs.",
		helpRoleIcons = "Pour assigner un icone à un rôle, simplement changer à ce rôle et l'addon fera les changements automatiquement et conservera les informations",
		helpRoleMenu = "Click-gauche le bouton menu pour ouvrir/fermer le menu, click-milieu pour ouvrir la fenêtre de configuration, click-droit pour déplacer le menu quand débloqué.",
		helpRoleNames = "Vous pouvez éditer le nom de vos rôles dans la fenêble de vos arbres d'âmes. Les changements de noms apparaîtront la prochaine fois que vous ouvrirez le menu de rôle",
		sectionEquipmentSets = "Sets Équipement",
		sectionRoleIcons = "Icones Rôle",
		sectionRoleMenu = "Menu Rôle",
		sectionRoleNames = "Noms Rôles",
		version = "Version: %s",
		versionOutdated = "Version: %s (désuette)",
	},
	roles = {
		checkboxMenu = "Inclure rôle dans menu",
		labelAdditionalMacroText = "Texte macro additionnel:",
		labelLoadEquipment = "Charger équipement:",
		labelSetCustomIcon = "Custom icon:", -- Requires localization
		labelLoadKaruulAlertSet = "Load KaruulAlert set:", -- Requires localization
		labelLoadKaruulAlertSubset = "Load KaruulAlert subset:", -- Requires localization
		labelLoadWardrobe = "Charger tenue:",
		labelReplacementItems = "Pièces remplacement:", -- Needs review
		labelRole = "Rôle:",
		sectionLeftClick = "Click Gauche",
		sectionRightClick = "Click Droit",
		selectAuto = "Auto", -- Requires localization
		selectDisable = "Disable", -- Requires localization
		selectEquipment = "Équipement",
		selectNone = "Aucun",
		selectSet = "Set %i",
		selectSubset = "Subset %i", -- Requires localization
	},
	sets = {
		buttonLoad = "CHARGER",
		buttonSave = "ENREGISTRER",
		labelNameOfSet = "Nom de l'ensemble (optionel):",
		sectionEquipment = "Équipement",
		sectionWardrobe = "Tenue",
	},
	settings = {
		buttonLock = "BLOQUER",
		buttonReset = "RESET",
		buttonUnlock = "DÉBLOQUER",
		checkboxBackground = "Montrer arrière-plan", -- Needs review
		checkboxNotification = "Messages de notification",
		labelDirection = "Direction:",
		labelInactiveAlpha = "Alpha inactif:",
		labelLocation = "Location:",
		labelOrdering = "Classer:",
		labelSpacing = "Espacement:",
		labelWidth = "Largeur:",
		selectExtendDown = "Étendre menu vers le bas",
		selectExtendLeft = "Étendre menu vers la gauche",
		selectExtendRight = "Étendre menu vers la droite",
		selectExtendUp = "Étendre menu vers le haut",
		selectSortName = "Trier rôles par par ordre alphabétique",
		selectSortSlot = "Trier rôles par ordre de création",
		selectSortType = "Trier rôles par type, ensuite par nom",
	},
}

elseif language == "German" then -- deDE
L.addon = {
	description = "Ein Menü um bequem Rollen, Ausrüstung, und Garderobe zu wechseln.",
	instructions = "Drücke %s, um das Konfigurationsfenster zu öffnen.",
	name = "Rollen",
	newerVersion = "Eine neue Version von %s ist verfügbar.",
	notification = "Wechsle Rolle:",
	welcome = "%s %s geladen.",
}
L.command = {
	errorCombat = "Kann Menü im Kampf nicht öffnen.",
	errorConfig = "Kann Menü nicht öffnen, wenn das Konfigurationsfenster offen ist.",
	optionConfig = "Öffne Konfigurationsfenster.",
	optionLock = "Menüposition sperren/entsperren",
	optionReset = "Menüposition auf Mitte zurücksetzen",
	options = "Befehlsoptionen:",
	optionToggle = "Menü öffnen/schließen",
	statusLocked = "Menüposition wurde gesperrt.",
	statusReset = "Menüposition wurde in die Mitte zurückgesetzt.",
	statusUnlocked = "Menüposition wurde entsperrt.",
}
L.config = {
	buttonClose = "SCHLIESSEN",
	dialogTitle = "ROLLEN",
	tabHelp = "HILFE",
	tabRoles = "ROLLEN",
	tabSets = "SETS",
	tabSettings = "EINSTELLUNGEN",
	help = {
		author = "Author: %s",
		helpEquipmentSets = "Um ein Ausrüstungsset zu speichern, benutze den \"/saveequip #\" Befehl, # steht für eine Nummer zwischen 1 und 20. Dieses Set kann dann vom Addon benutzt werden. Ersatzgegenstände gestatten es dir, bereits existierende Sets mit kleinen Änderungen zu verwenden.",
		helpRoleIcons = "Um ein Symbol für eine Rolle einzufügen, wechsle einfach zu der Rolle, das Addon wird die Informationen automatisch aktualisieren und speichern.",
		helpRoleMenu = "Linksklick auf den Menüknopf öffnet/schliesst das Menü, mittlere Maustaste öffnet das Konfigurationsfenster, und mit Rechtsklick kann man das Menü bewegen, wenn es entsperrt ist.",
		helpRoleNames = "Du kannst deine Rollennamen innerhalb des Seelenbaums ändern. Aktualisierte Namen erscheinen beim nächsten öffnen des Rollenmenüs.",
		sectionEquipmentSets = "Ausrüstungssets",
		sectionRoleIcons = "Rollensymbole",
		sectionRoleMenu = "Rollenmenü",
		sectionRoleNames = "Rollennamen",
		version = "Version: %s",
		versionOutdated = "Version: %s (veraltet)",
	},
	roles = {
		checkboxMenu = "Rolle in's Menü einbeziehen",
		labelAdditionalMacroText = "Zusätzlicher Makrotext:",
		labelLoadEquipment = "Lade Ausrüstung:",
		labelSetCustomIcon = "Custom icon:", -- Requires localization
		labelLoadKaruulAlertSet = "Load KaruulAlert set:", -- Requires localization
		labelLoadKaruulAlertSubset = "Load KaruulAlert subset:", -- Requires localization
		labelLoadWardrobe = "Garderobe laden:",
		labelReplacementItems = "Ersatzgegenstände:",
		labelRole = "Rolle:",
		sectionLeftClick = "Linksklick",
		sectionRightClick = "Rechtsklick",
		selectAuto = "Auto", -- Requires localization
		selectDisable = "Disable", -- Requires localization
		selectEquipment = "Ausrüstung",
		selectNone = "Keine",
		selectSet = "Set %i",
		selectSubset = "Subset %i", -- Requires localization
	},
	sets = {
		buttonLoad = "LADEN",
		buttonSave = "SPEICHERN",
		labelNameOfSet = "Name des Sets (optional):",
		sectionEquipment = "Ausrüstung",
		sectionWardrobe = "Garderobe",
	},
	settings = {
		buttonLock = "SPERREN",
		buttonReset = "ZURÜCKSETZEN",
		buttonUnlock = "ENTSPERREN",
		checkboxBackground = "Hintergrund anzeigen", -- Needs review
		checkboxNotification = "Zeige Ankündigungsnachrichten",
		labelDirection = "Richtung:",
		labelInactiveAlpha = "Alpha inaktiv:",
		labelLocation = "Ort:",
		labelOrdering = "Anordnung:",
		labelSpacing = "Abstand:",
		labelWidth = "Breite:",
		selectExtendDown = "Menü nach unten erweitern",
		selectExtendLeft = "Menü nach links erweitern",
		selectExtendRight = "Menü nach rechts erweitern",
		selectExtendUp = "Menü nach oben erweitern",
		selectSortName = "Rollen alphabetisch nach Namen sortieren",
		selectSortSlot = "Rollen nach Positionsnummer sortieren",
		selectSortType = "Rollen nach Art, dann nach Name sortieren",
	},
}

elseif language == "Russian" then -- ruRU
L.addon = {
	description = "Удобный аддон для смены ролей, одежды и вардробы.", -- Needs review
	instructions = "Чтобы вызвать окно настроек - наберите %s", -- Needs review
	name = "Roles", -- Needs review
	newerVersion = "Доступна более новая версия %s", -- Needs review
	notification = "Меняю роль: ", -- Needs review
	welcome = "%s %s загружен", -- Needs review
}
L.command = {
	errorCombat = "Невозможно вызвать меню, находясь в бою", -- Needs review
	errorConfig = "Невозможно вызвать меню, пока открыто окно настроек.", -- Needs review
	optionConfig = "вызвать окно настроек", -- Needs review
	optionLock = "заблокировать/разблокировать позицию меню", -- Needs review
	optionReset = "вернуть меню в центр", -- Needs review
	options = "Command options:", -- Requires localization
	optionToggle = "открыть/закрыть меню", -- Needs review
	statusLocked = "Позиция меню заблокирована", -- Needs review
	statusReset = "Позиция меню сброшена в центр.", -- Needs review
	statusUnlocked = "Позиция меню разблокирована", -- Needs review
}
L.config = {
	buttonClose = "ЗАКРЫТЬ", -- Needs review
	dialogTitle = "ROLES", -- Needs review
	tabHelp = "ПОМОЩЬ", -- Needs review
	tabRoles = "ROLES", -- Needs review
	tabSets = "НАБОРЫ", -- Needs review
	tabSettings = "НАСТРОЙКИ",
	help = {
		author = "Автор: %s", -- Needs review
		helpEquipmentSets = "Для сохранения набора снаряжения используйте команду \"/saveequip #\", где # - это номер между 1 и 20. Этот набор может использоваться аддоном. Таким образом замена вещи не потребует изменений настроек аддона", -- Needs review
		helpRoleIcons = "Для заполнения иконки роли просто переключитесь на эту роль и аддон автоматически загрузит и сохранит информацию", -- Needs review
		helpRoleMenu = "Клик левой кнопкой - открыть/закрыть меню, клик средней кнопкой - вызвать окно настроек и клик правой кнопкой мыши - для перемещения меню, когда оно разблокировано", -- Needs review
		helpRoleNames = "Вы можете редактировать имя роли в окне \"Soul Tree\". Имена ролей обновятся в следующий раз, когда Вы откроете меню Roles", -- Needs review
		sectionEquipmentSets = "Наборы одежды", -- Needs review
		sectionRoleIcons = "Иконки ролей", -- Needs review
		sectionRoleMenu = "Меню ролей", -- Needs review
		sectionRoleNames = "Имена ролей", -- Needs review
		version = "Версия: %s", -- Needs review
		versionOutdated = "Версия: %s (устаревшая)", -- Needs review
	},
	roles = {
		checkboxMenu = "Добавить роль в меню", -- Needs review
		labelAdditionalMacroText = "Дополнительный текст макроса:", -- Needs review
		labelLoadEquipment = "Загрузить снаряжение: ", -- Needs review,
		labelSetCustomIcon = "Custom icon:", -- Requires localization
		labelLoadKaruulAlertSet = "Load KaruulAlert set:", -- Requires localization
		labelLoadKaruulAlertSubset = "Load KaruulAlert subset:", -- Requires localization
		labelLoadWardrobe = "Загрузить вардробу:", -- Needs review
		labelReplacementItems = "Вещи для замены: ", -- Needs review
		labelRole = "Роль:", -- Needs review
		sectionLeftClick = "Щелчок левой кнопкой", -- Needs review
		sectionRightClick = "Щелчок правой кнопкой", -- Needs review
		selectAuto = "Auto", -- Requires localization
		selectDisable = "Disable", -- Requires localization
		selectEquipment = "Снаряжение", -- Needs review
		selectNone = "Нет", -- Needs review
		selectSet = "Набор %i", -- Needs review
		selectSubset = "Subset %i", -- Requires localization
	},
	sets = {
		buttonLoad = "ЗАГРУЗИТЬ", -- Needs review
		buttonSave = "СОХРАНИТЬ", -- Needs review
		labelNameOfSet = "Имя набора (опционально):", -- Needs review
		sectionEquipment = "Снаряжение", -- Needs review
		sectionWardrobe = "Гардероб", -- Needs review
	},
	settings = {
		buttonLock = "ЗАБЛОКИРОВАТЬ", -- Needs review
		buttonReset = "СБРОСИТЬ", -- Needs review
		buttonUnlock = "РАЗБЛОКИРОВАТЬ", -- Needs review
		checkboxBackground = "Показывать фона", -- Needs review
		checkboxNotification = "Показывать уведомления", -- Needs review
		labelDirection = "Направление: ", -- Needs review
		labelInactiveAlpha = "Альфа неактивного окна:", -- Needs review
		labelLocation = "Позиция: ", -- Needs review
		labelOrdering = "Порядок: ", -- Needs review
		labelSpacing = "Промежуток:", -- Needs review
		labelWidth = "Ширина: ", -- Needs review
		selectExtendDown = "Расширить меню вниз", -- Needs review
		selectExtendLeft = "Расширить меню влево", -- Needs review
		selectExtendRight = "Расширить меню вправо", -- Needs review
		selectExtendUp = "Расширить  меню вверх", -- Needs review
		selectSortName = "Сортировать роли по алфавиту", -- Needs review
		selectSortSlot = "Сортировать роли по номеру слота", -- Needs review
		selectSortType = "Сортировать роли по типу и по имени", -- Needs review
	},
}

else -- enUS
L.addon = {
	description = "A convenient menu for changing roles, equipment, and wardrobe.",
	instructions = "Type %s to open configuration window.",
	name = "Roles",
	newerVersion = "A newer version of %s is available.",
	notification = "Changing role:",
	welcome = "%s %s loaded.",
}
L.command = {
	errorCombat = "Cannot open menu in combat.",
	errorConfig = "Cannot open menu while configuration window is open.",
	optionConfig = "open configuration window",
	optionLock = "lock/unlock menu location",
	optionReset = "reset menu location to center",
	options = "Command options:",
	optionToggle = "open/close menu",
	statusLocked = "Menu location has been locked.",
	statusReset = "Menu location has been reset to center.",
	statusUnlocked = "Menu location has been unlocked.",
}
L.config = {
	buttonClose = "CLOSE",
	dialogTitle = "ROLES",
	tabHelp = "HELP",
	tabRoles = "ROLES",
	tabSets = "SETS",
	tabSettings = "SETTINGS",
	help = {
		author = "Author: %s",
		helpEquipmentSets = "To save an equipment set, use the \"/saveequip #\" command, where # is a number between 1 and 20. This set can then be used by the addon. Replacement items allow you to reuse an existing set with minor modifications.",
		helpRoleIcons = "To fill in the icon for a role, simply switch to the role and the addon will automatically update and save the information.",
		helpRoleMenu = "Left-click the menu button to open/close the menu, middle-click to open the configuration window, and right-click to move the menu when unlocked.",
		helpRoleNames = "You can edit your role names inside the soul tree window. Updated names will appear the next time you open the role menu.",
		sectionEquipmentSets = "Equipment Sets",
		sectionRoleIcons = "Role Icons",
		sectionRoleMenu = "Role Menu",
		sectionRoleNames = "Role Names",
		version = "Version: %s",
		versionOutdated = "Version: %s (outdated)",
	},
	roles = {
		checkboxMenu = "Include role in menu",
		labelAdditionalMacroText = "Additional macro text:",
		labelLoadEquipment = "Load equipment:",
		labelSetCustomIcon = "Custom icon:", -- Requires localization
		labelLoadKaruulAlertSet = "Load KaruulAlert set:",
		labelLoadKaruulAlertSubset = "Load KaruulAlert subset:",
		labelLoadWardrobe = "Load wardrobe:",
		labelReplacementItems = "Replacement items:",
		labelRole = "Role:",
		sectionLeftClick = "Left Click",
		sectionRightClick = "Right Click",
		selectAuto = "Auto",
		selectDisable = "Disable",
		selectEquipment = "Equipment",
		selectNone = "None",
		selectSet = "Set %i",
		selectSubset = "Subset %i",
	},
	sets = {
		buttonLoad = "LOAD",
		buttonSave = "SAVE",
		labelNameOfSet = "Name of set (optional):",
		sectionEquipment = "Equipment",
		sectionWardrobe = "Wardrobe",
	},
	settings = {
		buttonLock = "LOCK",
		buttonReset = "RESET",
		buttonUnlock = "UNLOCK",
		checkboxBackground = "Show background",
		checkboxNotification = "Show notification messages",
		labelDirection = "Direction:",
		labelInactiveAlpha = "Inactive alpha:",
		labelLocation = "Location:",
		labelOrdering = "Ordering:",
		labelSpacing = "Spacing:",
		labelWidth = "Width:",
		selectExtendDown = "Extend menu downward",
		selectExtendLeft = "Extend menu to the left",
		selectExtendRight = "Extend menu to the right",
		selectExtendUp = "Extend menu upward",
		selectSortName = "Sort roles alphabetically by name",
		selectSortSlot = "Sort roles by slot number",
		selectSortType = "Sort roles by type, then by name",
	},
}
end
